%define upstream_name    Time-HiRes
%define upstream_version 1.9764

Name:       perl-%{upstream_name}
Version:    %perl_convert_version 1.9770
Release:    %mkrel 1
Epoch:      1

Summary:    High resolution alarm, sleep, gettimeofday, interval timers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz
# Unbundled from perl 5.34.0
Patch0:     Time-HiRes-1.9764-Upgrade-to-1.9767.patch
# Unbundled from perl 5.35.11
Patch1:	    Time-HiRes-1.9767-Upgrade-to-1.9770.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl-devel
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More\\)

%description
The 'Time::HiRes' module implements a Perl interface to the 'usleep',
'nanosleep', 'ualarm', 'gettimeofday', and 'setitimer'/'getitimer' system
calls, in other words, high resolution time and timers. See the the
/EXAMPLES manpage section below and the test scripts for usage; see your
system documentation for the description of the underlying 'nanosleep' or
'usleep', 'ualarm', 'gettimeofday', and 'setitimer'/'getitimer' calls.

If your system lacks 'gettimeofday()' or an emulation of it you don't get
'gettimeofday()' or the one-argument form of 'tv_interval()'. If your
system lacks all of 'nanosleep()', 'usleep()', 'select()', and 'poll', you
don't get 'Time::HiRes::usleep()', 'Time::HiRes::nanosleep()', or
'Time::HiRes::sleep()'. If your system lacks both 'ualarm()' and
'setitimer()' you don't get 'Time::HiRes::ualarm()' or
'Time::HiRes::alarm()'.

If you try to import an unimplemented function in the 'use' statement it
will fail at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Time*
%{_mandir}/man3/*


%changelog
* Wed Sep 21 2022 luigiwalser <luigiwalser> 1:1.977.0-1.mga9
+ Revision: 1891293
- 1.9770 (from perl 5.35.11), sync with fedora

* Tue Jun 07 2022 umeabot <umeabot> 1:1.976.400-4.mga9
+ Revision: 1862515
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1:1.976.400-3.mga9
+ Revision: 1796133
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1:1.976.400-2.mga9
+ Revision: 1727155
- Rebuild for perl 5.34

* Tue Jul 14 2020 tv <tv> 1:1.976.400-1.mga8
+ Revision: 1605973
- Upgrade to 1.9764 as provided in perl-5.32.0

* Wed Jun 17 2020 umeabot <umeabot> 1:1.976.0-4.mga8
+ Revision: 1595284
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1:1.976.0-3.mga8
+ Revision: 1528667
- Mageia 8 Mass Rebuild
+ tv <tv>
- update summary
- more explicit file list
- use newer macros

* Mon Aug 26 2019 tmb <tmb> 1:1.976.0-2.mga8
+ Revision: 1432399
- rebuild for perl-5.30.0-4.mga8

* Tue Feb 19 2019 tv <tv> 1:1.976.0-1.mga7
+ Revision: 1368454
- update to 1.9760

* Mon Nov 26 2018 tv <tv> 1:1.975.0-5.mga7
+ Revision: 1335306
- do not pull Test::More (related to mga#23894)

* Fri Sep 21 2018 umeabot <umeabot> 1:1.975.0-4.mga7
+ Revision: 1293889
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 1:1.975.0-3.mga7
+ Revision: 1247618
- rebuild for perl 5.28

* Sun Aug 05 2018 tmb <tmb> 1:1.975.0-2.mga7
+ Revision: 1247605
- fix filelist
- rebuild for perl 5.28

* Tue Dec 26 2017 shlomif <shlomif> 1:1.975.0-1.mga7
+ Revision: 1185335
- update to 1.9750

* Tue Oct 03 2017 tv <tv> 1:1.974.600-2.mga7
+ Revision: 1167155
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1:1.974.600-1.mga7
+ Revision: 1155880
- update to 1.9746

* Thu Aug 31 2017 pterjan <pterjan> 1:1.973.300-3.mga7
+ Revision: 1149356
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1:1.973.300-2.mga7
+ Revision: 1126500
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 1:1.973.300-1.mga6
+ Revision: 1010824
- update to 1.9733

* Fri Apr 15 2016 shlomif <shlomif> 1:1.973.200-1.mga6
+ Revision: 1002326
- update to 1.9732

* Fri Feb 12 2016 umeabot <umeabot> 1:1.972.600-10.mga6
+ Revision: 958136
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:1.972.600-9.mga6
+ Revision: 845373
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1:1.972.600-8.mga6
+ Revision: 841401
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1:1.972.600-7.mga5
+ Revision: 749351
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:1.972.600-6.mga5
+ Revision: 736106
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:1.972.600-5.mga5
+ Revision: 686698
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1:1.972.600-4.mga5
+ Revision: 631816
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1:1.972.600-3.mga5
+ Revision: 588086
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1:1.972.600-2.mga4
+ Revision: 532422
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 1:1.972.600-1.mga4
+ Revision: 468413
- update to 1.9726

* Wed May 29 2013 jquelin <jquelin> 1:1.972.500-4.mga4
+ Revision: 431823
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.972.500-3.mga3
+ Revision: 374354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1:1.972.500-2.mga3
+ Revision: 251256
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1:1.972.500-1.mga2
+ Revision: 219818
- update to 1.9725

* Fri Nov 04 2011 jquelin <jquelin> 1:1.972.400-2.mga2
+ Revision: 162844
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 1:1.972.400-1.mga2
+ Revision: 112083
- update to 1.9724

* Sat Jun 11 2011 sander85 <sander85> 1:1.972.100-6.mga2
+ Revision: 103767
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 1:1.972.100-5.mga1
+ Revision: 53665
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1:1.972.100-4.mga1
+ Revision: 31365
- mageia rebuild
- imported package perl-Time-HiRes

